Bug 338109 - Crash on start with dual monitors
Summary: Crash on start with dual monitors
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Multi-screen support (show other bugs)
Version: 5.0.0
Platform: openSUSE RPMs Linux
: NOR critical
Target Milestone: 1.0
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-07 23:38 UTC by Sean Chu
Modified: 2014-08-18 15:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Chu 2014-08-07 23:38:41 UTC
Crash on start with dual monitors, one HDMI one vga.

debug info:

Application: plasmashell (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fcbce79f840 (LWP 20480))]

Thread 18 (Thread 0x7fcbb9df7700 (LWP 20486)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbcae580e2 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fcbcae5977f in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fcbbc32cde9 in ?? () from /usr/lib64/qt5/plugins/platforms/libqxcb.so
#4  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fcbafcbf700 (LWP 20492)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfcc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fcba45f9700 (LWP 20506)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfcc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fcba2fb6700 (LWP 20507)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfcc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fcba1653700 (LWP 20508)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fcb93fff700 (LWP 20509)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fcb92ffe700 (LWP 20510)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fcb91ffd700 (LWP 20511)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fcb90ffc700 (LWP 20512)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fcb837ff700 (LWP 20513)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fcb827fe700 (LWP 20514)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fcb817fd700 (LWP 20515)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fcb6ffff700 (LWP 20516)):
#0  0x00007fcbc6e270af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fcbccf18e6b in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007fcbccf18e99 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#4  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fcaef7fe700 (LWP 20517)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfcc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fcaee119700 (LWP 20523)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfcc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fcaecb9d700 (LWP 20524)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbce24f392 in ?? () from /usr/lib64/libQt5Quick.so.5
#7  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#8  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#9  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fcadffff700 (LWP 20525)):
#0  0x00007fcbc794db3d in poll () from /lib64/libc.so.6
#1  0x00007fcbc2f04604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fcbc81fdfeb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007fcbc7fc43aa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007fcbc7fc906f in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007fcbc6e230db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fcbc795690d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fcbce79f840 (LWP 20480)):
[KCrash Handler]
#5  0x00007fcbcd4a1b00 in Plasma::Applet::actions() const () from /usr/lib64/libKF5Plasma.so.5
#6  0x000000000044f5d4 in ShellCorona::addOutput(KScreen::Output*) ()
#7  0x0000000000451927 in ?? ()
#8  0x0000000000451ee5 in ShellCorona::setShell(QString const&) ()
#9  0x00007fcbc81d5d13 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#10 0x0000000000477802 in ShellManager::shellChanged(QString const&) ()
#11 0x0000000000457fd4 in ShellManager::updateShell() ()
#12 0x0000000000459109 in ShellManager::loadHandlers() ()
#13 0x0000000000477bed in ?? ()
#14 0x00007fcbc81d6ea6 in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#15 0x00007fcbc8e47f3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#16 0x00007fcbc8e4cfc6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#17 0x00007fcbc81a72b5 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#18 0x00007fcbc81a9107 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQt5Core.so.5
#19 0x00007fcbc81feb53 in ?? () from /usr/lib64/libQt5Core.so.5
#20 0x00007fcbc2f04316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#21 0x00007fcbc2f04668 in ?? () from /usr/lib64/libglib-2.0.so.0
#22 0x00007fcbc2f0470c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#23 0x00007fcbc81fdfcc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#24 0x00007fcbc81a51cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#25 0x00007fcbc81ac826 in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#26 0x0000000000433c80 in main ()


And from terminal:

Added File "/home/seanchu/.config/plasmarc" for "" ["KDirWatch-1"]
Trying to open ksycoca from "/home/seanchu/.cache/ksycoca5"
KServiceTypeTrader: serviceType "Plasma/LayoutTemplate" not found
Added File "/usr/share/plasma/desktoptheme/breeze-dark/metadata.desktop" for "" ["KDirWatch-1"]
kscreen: Loading backend
kscreen.xcb.helper: Detected XRandR 1.3
kscreen.xcb.helper: Event Base:  89
kscreen.xcb.helper: Event Error:  147
kscreen: Loading "XRandR" backend
QObject::disconnect: Unexpected null parameter
Your code needs to be ported in KF5.  See the Ki18n programmers guide.
Registering action  "edit_cut"  under new name  "cut"
Registering action  "edit_undo"  under new name  "undo"
Registering action  "edit_copy"  under new name  "copy"
Registering action  "edit_paste"  under new name  "paste"
Registering action  "edit_paste"  under new name  "pasteto"
file:///usr/share/plasma/plasmoids/org.kde.plasma.folder/contents/ui/ItemDelegate.qml:43:26: Unable to assign [undefined] to bool
file:///usr/share/plasma/plasmoids/org.kde.plasma.folder/contents/ui/ItemDelegate.qml:43:26: Unable to assign [undefined] to bool
QObject::disconnect: Unexpected null parameter
Application::crashHandler() called with signal 11; recent crashes: 1
KCrash: Application 'plasmashell' crashing...
KCrash: Attempting to start /usr/lib64/libexec/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0
Added File "/home/seanchu/.config/plasmarc" for "" ["KDirWatch-1"]
Trying to open ksycoca from "/home/seanchu/.cache/ksycoca5"
KServiceTypeTrader: serviceType "Plasma/LayoutTemplate" not found
Added File "/usr/share/plasma/desktoptheme/breeze-dark/metadata.desktop" for "" ["KDirWatch-1"]
kscreen: Loading backend
kscreen.xcb.helper: Detected XRandR 1.3
kscreen.xcb.helper: Event Base:  89
kscreen.xcb.helper: Event Error:  147
kscreen: Loading "XRandR" backend
QObject::disconnect: Unexpected null parameter
Your code needs to be ported in KF5.  See the Ki18n programmers guide.
Registering action  "edit_cut"  under new name  "cut"
Registering action  "edit_undo"  under new name  "undo"
Registering action  "edit_copy"  under new name  "copy"
Registering action  "edit_paste"  under new name  "paste"
Registering action  "edit_paste"  under new name  "pasteto"
file:///usr/share/plasma/plasmoids/org.kde.plasma.folder/contents/ui/ItemDelegate.qml:43:26: Unable to assign [undefined] to bool
file:///usr/share/plasma/plasmoids/org.kde.plasma.folder/contents/ui/ItemDelegate.qml:43:26: Unable to assign [undefined] to bool
QObject::disconnect: Unexpected null parameter
Application::crashHandler() called with signal 11; recent crashes: 2

[1]+  Stopped                 plasmashell
seanchu@SUSELT:~> KCrash: Application 'plasmashell' crashing...
KCrash: Attempting to start /usr/lib64/libexec/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0
Added File "/home/seanchu/.config/plasmarc" for "" ["KDirWatch-1"]
Trying to open ksycoca from "/home/seanchu/.cache/ksycoca5"
KServiceTypeTrader: serviceType "Plasma/LayoutTemplate" not found
Added File "/usr/share/plasma/desktoptheme/breeze-dark/metadata.desktop" for "" ["KDirWatch-1"]
kscreen: Loading backend
kscreen.xcb.helper: Detected XRandR 1.3
kscreen.xcb.helper: Event Base:  89
kscreen.xcb.helper: Event Error:  147
kscreen: Loading "XRandR" backend
QObject::disconnect: Unexpected null parameter
Your code needs to be ported in KF5.  See the Ki18n programmers guide.
Registering action  "edit_cut"  under new name  "cut"
Registering action  "edit_undo"  under new name  "undo"
Registering action  "edit_copy"  under new name  "copy"
Registering action  "edit_paste"  under new name  "paste"
Registering action  "edit_paste"  under new name  "pasteto"
file:///usr/share/plasma/plasmoids/org.kde.plasma.folder/contents/ui/ItemDelegate.qml:43:26: Unable to assign [undefined] to bool
file:///usr/share/plasma/plasmoids/org.kde.plasma.folder/contents/ui/ItemDelegate.qml:43:26: Unable to assign [undefined] to bool
QObject::disconnect: Unexpected null parameter
Application::crashHandler() called with signal 11; recent crashes: 3
Too many crashes in short order or respawning disabled, not restarting automatically.
KCrash: Application 'plasmashell' crashing...
KCrash: Attempting to start /usr/lib64/libexec/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0
libpng error: Read Error
Comment 1 Aleix Pol 2014-08-07 23:42:10 UTC
I need more information, a backtrace with debug symbols would be a good start.

Also the fact that it has 2 monitors is not enough, I do it every day and it works here.
Comment 2 Sean Chu 2014-08-07 23:56:06 UTC
(In reply to Aleix Pol from comment #1)
> I need more information, a backtrace with debug symbols would be a good
> start.
> 
> Also the fact that it has 2 monitors is not enough, I do it every day and it
> works here.

Application: plasmashell (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fbe1e90a840 (LWP 22310))]

Thread 18 (Thread 0x7fbe09f64700 (LWP 22312)):
#0  0x00007fbe17abab3d in poll () from /lib64/libc.so.6
#1  0x00007fbe1afc50e2 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fbe1afc677f in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fbe0c499de9 in ?? () from /usr/lib64/qt5/plugins/platforms/libqxcb.so
#4  0x00007fbe1813606f in QThreadPrivate::start (arg=0xfa04f0) at thread/qthread_unix.cpp:345
#5  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#6  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fbdffdcb700 (LWP 22326)):
#0  0x00007fbe130b0ffd in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fbe130b1289 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe13070cb9 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe13071523 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbdf80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbdffdcad90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#8  0x00007fbe1813606f in QThreadPrivate::start (arg=0x1091d40) at thread/qthread_unix.cpp:345
#9  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fbdf481b700 (LWP 22333)):
#0  0x00007fbe17ad0236 in pthread_mutex_lock () from /lib64/libc.so.6
#1  0x00007fbe130b1291 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe13070cb9 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe13071523 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbdf00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbdf481ad90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#8  0x00007fbe1813606f in QThreadPrivate::start (arg=0x12fd160) at thread/qthread_unix.cpp:345
#9  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fbdef11d700 (LWP 22334)):
#0  0x00007fbe16f93560 in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007fbe130b12c1 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe13071716 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbde80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbdef11cd90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#6  0x00007fbe1813606f in QThreadPrivate::start (arg=0x157c5c0) at thread/qthread_unix.cpp:345
#7  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fbded7ba700 (LWP 22335)):
#0  0x00007fbe130801a2 in g_poll () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fbe13071604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbde00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbded7b9d90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#6  0x00007fbe1813606f in QThreadPrivate::start (arg=0x1678570) at thread/qthread_unix.cpp:345
#7  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fbde7fff700 (LWP 22336)):
#0  0x00007fbe16f923e9 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007fbe130b1291 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe130715b9 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbddc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbde7ffed90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#7  0x00007fbe1813606f in QThreadPrivate::start (arg=0x1834500) at thread/qthread_unix.cpp:345
#8  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#9  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fbde6ffe700 (LWP 22337)):
#0  0x00007fbe17abab3d in poll () from /lib64/libc.so.6
#1  0x00007fbe13071604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbdd40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbde6ffdd90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#6  0x00007fbe1813606f in QThreadPrivate::start (arg=0x1910ab0) at thread/qthread_unix.cpp:345
#7  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fbde5ffd700 (LWP 22338)):
#0  0x00007fbe130b0ffa in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fbe130b12b9 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe13070ca0 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe13071523 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbdd80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbde5ffcd90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#8  0x00007fbe1813606f in QThreadPrivate::start (arg=0x19f5870) at thread/qthread_unix.cpp:345
#9  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fbde4ffc700 (LWP 22339)):
#0  0x00007fbe1ea8e8ba in clock_gettime ()
#1  0x00007fbe17ad0a0d in clock_gettime () from /lib64/libc.so.6
#2  0x00007fbe181edb96 in qt_clock_gettime (ts=0x7fbde4ffbb20, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:113
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:169
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:178
#5  0x00007fbe18369619 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7fbdcc002860) at kernel/qtimerinfo_unix.cpp:92
#6  0x00007fbe18369ba5 in QTimerInfoList::timerWait (this=0x7fbdcc002860, tm=...) at kernel/qtimerinfo_unix.cpp:387
#7  0x00007fbe1836adbe in timerSourcePrepareHelper (timeout=0x7fbde4ffbbd4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:135
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7fbde4ffbbd4) at kernel/qeventdispatcher_glib.cpp:168
#9  0x00007fbe13070cad in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007fbe13071523 in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbdcc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#13 0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbde4ffbd90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#14 0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#15 0x00007fbe1813606f in QThreadPrivate::start (arg=0x1acdcb0) at thread/qthread_unix.cpp:345
#16 0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#17 0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fbdd37ff700 (LWP 22340)):
#0  0x00007fbe17abab3d in poll () from /lib64/libc.so.6
#1  0x00007fbe13071604 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbdc80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbdd37fed90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#6  0x00007fbe1813606f in QThreadPrivate::start (arg=0x1bad860) at thread/qthread_unix.cpp:345
#7  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fbdd27fe700 (LWP 22341)):
#0  0x00007fbe17ab699d in read () from /lib64/libc.so.6
#1  0x00007fbe130b05c0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe1307112c in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1307159b in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbdc00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbdd27fdd90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#8  0x00007fbe1813606f in QThreadPrivate::start (arg=0x1c6a690) at thread/qthread_unix.cpp:345
#9  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fbdd17fd700 (LWP 22342)):
#0  0x00007fbe130b0ffa in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fbe130b1289 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe130716f8 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbdc40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbdd17fcd90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#6  0x00007fbe1813606f in QThreadPrivate::start (arg=0x1d544a0) at thread/qthread_unix.cpp:345
#7  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#8  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fbdbffff700 (LWP 22343)):
#0  0x00007fbe16f940af in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbe1d085e6b in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007fbe1d085e99 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#4  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fbd3f7fe700 (LWP 22347)):
#0  0x00007fbe130b0ff7 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fbe130b12b9 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe13070f1b in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe13071572 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbd380008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbd3f7fdd90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#8  0x00007fbe1813606f in QThreadPrivate::start (arg=0x1e25930) at thread/qthread_unix.cpp:345
#9  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fbd3e119700 (LWP 22350)):
#0  0x00007fbe1836aee2 in postEventSourcePrepare (s=0x7fbd300012c0, timeout=0x7fbd3e118bd4) at kernel/qeventdispatcher_glib.cpp:254
#1  0x00007fbe13070cad in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe13071523 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbd300008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbd3e118d90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#7  0x00007fbe1813606f in QThreadPrivate::start (arg=0x2169b30) at thread/qthread_unix.cpp:345
#8  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#9  0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fbd3cc75700 (LWP 22351)):
#0  0x00007fbe130b0ffa in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fbe130b12b9 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe130715b1 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbd340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbd3cc74d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#7  0x00007fbe1e3bc392 in ?? () from /usr/lib64/libQt5Quick.so.5
#8  0x00007fbe1813606f in QThreadPrivate::start (arg=0x20b7580) at thread/qthread_unix.cpp:345
#9  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fbd2ffff700 (LWP 22352)):
#0  0x00007fbe130b0ff0 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fbe130b12b9 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fbe13070d38 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fbe13071523 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fbe1836afeb in QEventDispatcherGlib::processEvents (this=0x7fbd280008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fbd2fffed90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fbe181313aa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:511
#8  0x00007fbe1813606f in QThreadPrivate::start (arg=0x20e1640) at thread/qthread_unix.cpp:345
#9  0x00007fbe16f900db in start_thread () from /lib64/libpthread.so.0
#10 0x00007fbe17ac390d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fbe1e90a840 (LWP 22310)):
[KCrash Handler]
#5  Plasma::Applet::actions (this=this@entry=0x0) at /usr/src/debug/plasma-framework-5.1.0/src/plasma/applet.cpp:550
#6  0x000000000044f5d4 in ShellCorona::addOutput (this=this@entry=0x104f9d0, output=0x13327c0) at /usr/src/debug/plasma-workspace-5.0.1~20140724~3ba9875/shell/shellcorona.cpp:692
#7  0x0000000000451927 in ShellCorona::load (this=0x104f9d0) at /usr/src/debug/plasma-workspace-5.0.1~20140724~3ba9875/shell/shellcorona.cpp:321
#8  0x0000000000451ee5 in ShellCorona::setShell (this=0x104f9d0, shell=...) at /usr/src/debug/plasma-workspace-5.0.1~20140724~3ba9875/shell/shellcorona.cpp:258
#9  0x00007fbe18342d13 in call (a=0x7fff45900b60, r=0x104f9d0, this=0x10546f0) at ../../src/corelib/kernel/qobject_impl.h:132
#10 QMetaObject::activate (sender=sender@entry=0x104eaa0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff45900b60) at kernel/qobject.cpp:3666
#11 0x00007fbe183436c7 in QMetaObject::activate (sender=sender@entry=0x104eaa0, m=m@entry=0x694240 <ShellManager::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff45900b60) at kernel/qobject.cpp:3546
#12 0x0000000000477802 in ShellManager::shellChanged (this=this@entry=0x104eaa0, _t1=...) at /usr/src/debug/plasma-workspace-5.0.1~20140724~3ba9875/build/shell/moc_shellmanager.cpp:155
#13 0x0000000000457fd4 in ShellManager::updateShell (this=this@entry=0x104eaa0) at /usr/src/debug/plasma-workspace-5.0.1~20140724~3ba9875/shell/shellmanager.cpp:231
#14 0x0000000000459109 in ShellManager::loadHandlers (this=0x104eaa0) at /usr/src/debug/plasma-workspace-5.0.1~20140724~3ba9875/shell/shellmanager.cpp:129
#15 0x0000000000477bed in ShellManager::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/plasma-workspace-5.0.1~20140724~3ba9875/build/shell/moc_shellmanager.cpp:99
#16 0x00007fbe18343ea6 in QObject::event (this=0x104eaa0, e=<optimized out>) at kernel/qobject.cpp:1241
#17 0x00007fbe18fb4f3c in QApplicationPrivate::notify_helper (this=this@entry=0xf7b6f0, receiver=receiver@entry=0x104eaa0, e=e@entry=0x1056cb0) at kernel/qapplication.cpp:3522
#18 0x00007fbe18fb9fc6 in QApplication::notify (this=0x7fff45901470, receiver=0x104eaa0, e=0x1056cb0) at kernel/qapplication.cpp:3305
#19 0x00007fbe183142b5 in QCoreApplication::notifyInternal (this=0x7fff45901470, receiver=0x104eaa0, event=event@entry=0x1056cb0) at kernel/qcoreapplication.cpp:935
#20 0x00007fbe18316107 in sendEvent (event=0x1056cb0, receiver=<optimized out>) at kernel/qcoreapplication.h:237
#21 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xf713e0) at kernel/qcoreapplication.cpp:1539
#22 0x00007fbe18316738 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1397
#23 0x00007fbe1836bb53 in postEventSourceDispatch (s=0xfa9b10) at kernel/qeventdispatcher_glib.cpp:279
#24 0x00007fbe13071316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#25 0x00007fbe13071668 in ?? () from /usr/lib64/libglib-2.0.so.0
#26 0x00007fbe1307170c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#27 0x00007fbe1836afcc in QEventDispatcherGlib::processEvents (this=0xfc6b20, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#28 0x00007fbe183121cb in QEventLoop::exec (this=this@entry=0x7fff45901320, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#29 0x00007fbe18319826 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1188
#30 0x0000000000433c80 in main (argc=3, argv=<optimized out>) at /usr/src/debug/plasma-workspace-5.0.1~20140724~3ba9875/shell/main.cpp:109
Comment 3 Sean Chu 2014-08-07 23:59:57 UTC
(In reply to Aleix Pol from comment #1)
> I need more information, a backtrace with debug symbols would be a good
> start.
> 
> Also the fact that it has 2 monitors is not enough, I do it every day and it
> works here.

also there seems no tool to configure the monitors for the time being?
I use "xrandr --output VGA1 --auto --output HDMI1 --auto --right-of VGA1". It ends up in duplicates and I want a side by side effect. I don't know how to do that.
Comment 4 Aleix Pol 2014-08-08 17:24:01 UTC
Could reproduce, it's caused by an inconsistency between kscreen::output and config concerning which is the primary screen.
Comment 5 Aleix Pol 2014-08-08 17:25:10 UTC
Oh, and you can install kscreen like in kde4,it's been ported already, albeit unreleased.
Comment 6 Aleix Pol 2014-08-18 15:57:50 UTC
Git commit 9da8d520d2624985d9a027d255c94722173eb0a7 by Aleix Pol.
Committed on 18/08/2014 at 15:56.
Pushed by apol into branch 'master'.

Loop through the outputs to figure out what is the primary output

The primaryOutput method in KScreen is not consistent with Output::isPrimary
and made plasma shell become a bit inconsistent too.
Loop through the outputs for now, until we've got a better solution.
Related: bug 335710

M  +21   -11   shell/shellcorona.cpp
M  +1    -0    shell/shellcorona.h

http://commits.kde.org/plasma-workspace/9da8d520d2624985d9a027d255c94722173eb0a7